Shell32
Date: 2010-04-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Interface Shell32

All Superinterfaces:
  com.sun.jna.AltCallingConvention, com.sun.jna.Library, com.sun.jna.win32.StdCall, com.sun.jna.win32.StdCallLibrary, W32API

    public interface Shell32

extends W32API

Mapping for Shell32.dll API.

Nested Class Summary

Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.W32API
`W32API.DWORD, W32API.HANDLE, W32API.HANDLEByReference, W32API.HBITMAP, W32API.HDC, W32API.HICON, W32API.HINSTANCE, W32API.HMODULE, W32API.HRESULT, W32API.HRGN, W32API.HWND, W32API.LONG, W32API.LONG_PTR, W32API.LPARAM, W32API.LRESULT, W32API.SIZE_T, W32API.SSIZE_T, W32API.UINT_PTR, W32API.ULONG_PTR, W32API.WORD, W32API.WPARAM`

Nested classes/interfaces inherited from interface com.sun.jna.win32.StdCallLibrary
`com.sun.jna.win32.StdCallLibrary.StdCallCallback`

Nested classes/interfaces inherited from interface com.sun.jna.Library
`com.sun.jna.Library.Handler`

Field Summary
`static Shell32` | `INSTANCE`

Fields inherited from interface com.sun.jna.platform.win32.W32API
`HWND_BROADCAST, INVALID_HANDLE_VALUE`

Fields inherited from interface com.sun.jna.win32.StdCallLibrary
`FUNCTION_MAPPER, STDCALL_CONVENTION`

Fields inherited from interface com.sun.jna.Library
`OPTION_ALLOW_OBJECTS, OPTION_CALLING_CONVENTION, OPTION_FUNCTION_MAPPER, OPTION_INVOCATION_MAPPER, OPTION_STRUCTURE_ALIGNMENT, OPTION_TYPE_MAPPER`

Method Summary
`int` | `SHFileOperation(ShellAPI.SHFILEOPSTRUCT fileop)` This function can be used to copy, move, rename, or delete a file system object.
`W32API.HRESULT` | `SHGetFolderPath(W32API.HWND hwndOwner, int nFolder, W32API.HANDLE hToken, W32API.DWORD dwFlags, char[] pszPath)` Takes the CSIDL of a folder and returns the path.

Field Detail

### INSTANCE

    static final Shell32 INSTANCE

Method Detail

### SHFileOperation

    int SHFileOperation(ShellAPI.SHFILEOPSTRUCT fileop)

  This function can be used to copy, move, rename, or delete a file system object.

  Parameters:
    `fileop` - Address of an SHFILEOPSTRUCT structure that contains information this function needs to carry out the specified operation.
  Returns:
    Returns zero if successful, or nonzero otherwise.

### SHGetFolderPath

    W32API.HRESULT SHGetFolderPath(W32API.HWND hwndOwner,
                                   int nFolder,
                                   W32API.HANDLE hToken,
                                   W32API.DWORD dwFlags,
                                   char[] pszPath)

  Takes the CSIDL of a folder and returns the path.

  Parameters:
    `hwndOwner` - Handle to an owner window. This parameter is typically set to NULL. If it is not NULL, and a dial-up connection needs to be made to access the folder, a user interface (UI) prompt will appear in this window.
    `nFolder` - A CSIDL value that identifies the folder whose path is to be retrieved. Only real folders are valid. If a virtual folder is specified, this function will fail. You can force creation of a folder with SHGetFolderPath by combining the folder's CSIDL with CSIDL_FLAG_CREATE.
    `hToken` - An access token that can be used to represent a particular user.
    `dwFlags` - Flags to specify which path is to be returned.
    `pszPath` - Pointer to a null-terminated string of length MAX_PATH which will receive the path. If an error occurs or S_FALSE is returned, this string will be empty.
  Returns:
    Returns standard HRESULT codes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD